Posts

Post not yet marked as solved
11 Replies
5.1k Views
Hi, thanks for MusicKit.Using the sample app provided at: https://developer.apple.com/musickit/The UI will freeze when selecting a song. This is linked to MPMusicPlayerController, which sets the queueIDs of the songs. It is particularly noticeable when selecting multiple songs in a tableView or collectionView. If I select a cell in a collectionView that is associated with MPMusicPlayer's prepareToPlay method, and then quickly select another cell, The UI will almost always freeze. This is not a good user experience.What can we do to improve MPMusicPlayerController? prepareToPlay will download the song to the device, but can this be dispatched to a background thread? My app experience could be extremely improved, even entertaining, if this can be fixed!Can anyone give some pointers, or discuss MPMusicPlayerController with me?I would like to continue working and building with MusicKit, it would be excellent if we can move these download tasks to background threads to free up the UIThanks
Posted Last updated
.
Post not yet marked as solved
4 Replies
1.8k Views
The MusicKit search API is no longer sending responses for artists. This has been happening for ~1 week now.curl -v -H 'Authorization: Bearer [developer token]' "https://api.music.apple.com/v1/catalog/us/search?term=bruce&limit=1&types=artists"will return{"results":{}}curl -v -H 'Authorization: Bearer [developer token]' "https://api.music.apple.com/v1/catalog/us/search?term=bruce&limit=1&types=songs"will return{"results":{"songs":{"href":"/v1/catalog/us/search?limit=1&term=bruce&types=songs","next":"/v1/catalog/us/search?offset=1&term=bruce&types=songs","data":[{"id":"212192067","type":"songs","href":"/v1/catalog/us/songs/212192067","attributes":{"previews":[{"url":"https://audio-ssl.itunes.apple.com/apple-assets-us-std-000001/AudioPreview71/v4/88/a0/2f/88a02f18-5b12-d445-6beb-6bb7b25ffe69/mzaf_8742464952731966882.plus.aac.p.m4a"}],"artwork":{"width":1500,"height":1500,"url":"https://is5-ssl.mzstatic.com/image/thumb/Music62/v4/f1/ee/42/f1ee4236-4438-6132-bead-9aae91beed0d/source/{w}x{h}bb.jpg","bgColor":"00a6e6","textColor1":"00050f","textColor2":"1b1917","textColor3":"00263a","textColor4":"153541"},"artistName":"Anchor, Bruce, Chum, Dory & Marlin","url":"https://itunes.apple.com/us/album/fish-are-friends-not-food/212192016?i=212192067","discNumber":1,"genreNames":["Soundtrack","Music"],"durationInMillis":168760,"releaseDate":"2007-01-01","name":"Fish Are Friends Not Food","isrc":"USWD10630604","albumName":"Finding Nemo: The Musical","playParams":{"id":"212192067","kind":"song"},"trackNumber":6}}]}}curl -v -H 'Authorization: Bearer [developer token]' "https://api.music.apple.com/v1/catalog/us/search?term=bruce&limit=1&types=songs,artists"will return{"results":{"songs":{"href":"/v1/catalog/us/search?limit=1&term=bruce&types=songs","next":"/v1/catalog/us/search?offset=1&term=bruce&types=songs","data":[{"id":"212192067","type":"songs","href":"/v1/catalog/us/songs/212192067","attributes":{"previews":[{"url":"https://audio-ssl.itunes.apple.com/apple-assets-us-std-000001/AudioPreview71/v4/88/a0/2f/88a02f18-5b12-d445-6beb-6bb7b25ffe69/mzaf_8742464952731966882.plus.aac.p.m4a"}],"artwork":{"width":1500,"height":1500,"url":"https://is5-ssl.mzstatic.com/image/thumb/Music62/v4/f1/ee/42/f1ee4236-4438-6132-bead-9aae91beed0d/source/{w}x{h}bb.jpg","bgColor":"00a6e6","textColor1":"00050f","textColor2":"1b1917","textColor3":"00263a","textColor4":"153541"},"artistName":"Anchor, Bruce, Chum, Dory & Marlin","url":"https://itunes.apple.com/us/album/fish-are-friends-not-food/212192016?i=212192067","discNumber":1,"genreNames":["Soundtrack","Music"],"durationInMillis":168760,"releaseDate":"2007-01-01","name":"Fish Are Friends Not Food","isrc":"USWD10630604","albumName":"Finding Nemo: The Musical","playParams":{"id":"212192067","kind":"song"},"trackNumber":6}}]}}Are others having this issue? Can we get this working again? Thanks!
Posted Last updated
.